Subject: [PATCH 00/12] Kill the_index part2, header file cleanup

From: Nguyễn Thái Ngọc Duy <[email-masked]>
Date: Sat, 30 Jun 2018 11:20:19 +0200

Like part 1 this is also boring. I wanted to drop these 'extern'
everywhere actually, so before I touched any header file in this
series, I did a clean up first. This is the result (and to reduce diff
noise later)

Nguyễn Thái Ngọc Duy (12):
  apply.h: drop extern on func declaration
  attr.h: drop extern from function declaration
  blame.h: drop extern on func declaration
  cache-tree.h: drop extern from function declaration
  convert.h: drop 'extern' from function declaration
  diffcore.h: drop extern from function declaration
  diff.h: remove extern from function declaration
  line-range.h: drop extern from function declaration
  rerere.h: drop extern from function declaration
  repository.h: drop extern from function declaration
  revision.h: drop extern from function declaration
  submodule.h: drop extern from function declaration

 apply.h      |  23 +++++-----
 attr.h       |  24 +++++------
 blame.h      |  28 ++++++------
 cache-tree.h |   2 +-
 convert.h    |  56 ++++++++++++------------
 diff.h       | 120 +++++++++++++++++++++++++--------------------------
 diffcore.h   |  50 ++++++++++-----------
 line-range.h |  12 +++---
 repository.h |  25 +++++------
 rerere.h     |  14 +++---
 revision.h   |  69 ++++++++++++++---------------
 submodule.h  | 112 +++++++++++++++++++++++------------------------
 12 files changed, 269 insertions(+), 266 deletions(-)

-- 
2.18.0.rc2.476.g39500d3211